diff --git a/nasl/CMakeLists.txt b/nasl/CMakeLists.txt
index b594679c..adf9a221 100644
--- a/nasl/CMakeLists.txt
+++ b/nasl/CMakeLists.txt
@@ -87,6 +87,28 @@ endif (NOT KSBA)
 message (STATUS "Looking for pcap...")
 find_library (PCAP pcap)
 
+message (STATUS "Looking for pcap... ${PCAP}")
+if (NOT PCAP)
+  message (SEND_ERROR "The pcap library is required.")
+endif (NOT PCAP)
+
+message (STATUS "Looking for pcap-config...")
+find_program (PCAP_CONFIG pcap-config)
+
+if (PCAP_CONFIG)
+  message (STATUS "Looking for pcap-config... ${PCAP_CONFIG}")
+  execute_process (COMMAND pcap-config --libs
+    OUTPUT_VARIABLE PCAP_LDFLAGS
+    OUTPUT_STRIP_TRAILING_WHITESPACE)
+  execute_process (COMMAND pcap-config --cflags
+    OUTPUT_VARIABLE PCAP_CFLAGS
+    OUTPUT_STRIP_TRAILING_WHITESPACE)
+else (PCAP_CONFIG)
+  message (STATUS "pcap-config not found, using defaults...")
+  set (PCAP_LDFLAGS "-L/usr/lib -lpcap")
+  set (PCAP_CFLAGS "-I/usr/include")
+endif (PCAP_CONFIG)
+
 find_library (GPGME gpgme)
 message (STATUS "Looking for gpgme... ${GPGME}")
 if (NOT GPGME)
